

#ifndef COLDMANSTRUCT_H
#define COLDMANSTRUCT_H

/* max static strings length */
#ifndef COLDMAN_MAX_STRING_LENGTH
#define COLDMAN_MAX_STRING_LENGTH	512
#endif

typedef struct COLDMANInitStr {
  GEN_BOOL display;
  GEN_STRING256 path;
  GEN_STRING128 file;
} COLDMANInitStr;

typedef struct COLDMANrequestUpdateStr {
  GEN_BOOL flag;
  GEN_STRING128 posterName;
} COLDMANrequestUpdateStr;

typedef struct COLDMANsetPositionStr {
  GEN_STRING128 name;
  float x;
  float y;
  float z;
} COLDMANsetPositionStr;

typedef struct COLDMANsetOrientationStr {
  GEN_STRING128 name;
  float yaw;
  float pitch;
  float roll;
} COLDMANsetOrientationStr;

typedef struct COLDMANsetPoseStr {
  GEN_STRING128 name;
  float x;
  float y;
  float z;
  float yaw;
  float pitch;
  float roll;
} COLDMANsetPoseStr;

typedef struct COLDMANsizeStr {
  int x;
  int y;
} COLDMANsizeStr;

#endif


